%define name		fortune-prog-style
%define orig_name	fortune-mod-prog-style
%define version		1.0
%define release		%mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Quotes from "The Elements of Programming Style"
License:	GPL
Group:		Toys
Source:		%{orig_name}.tar.bz2
URL:		http://www.ncst.ernet.in./~philip/downloads/
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}
Requires:	fortune-mod

%description
This is a collection of quotes from "The Elements of Programming Style"  by 
Kernighan & Plaugher.

This package is in PLF, as the quotes are copyrighted content.

%prep
%setup -q -n %{orig_name}
chmod -R go=u-w *

%build

%clean 
rm -rf %{buildroot}

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/fortunes/
install -m 644 prog-style* %{buildroot}%{_gamesdatadir}/fortunes/

%files
%defattr(-,root,root)
%{_gamesdatadir}/fortunes/prog-style
%{_gamesdatadir}/fortunes/prog-style.dat

%changelog
* Wed Sep 13 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.0-4mdv2007.0
- Rebuild

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@zarb.org> 1.0-3plf
- spec cleanup 

* Sun Sep 26 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.0-2plf
- PLF reason 

* Wed Jan 30 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1plf 
- new plf extension

* Thu Nov  1 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- initial package
